From 90877c1c9f0981885b1046fe8b9abcce5298d206 Mon Sep 17 00:00:00 2001
From: Ivan Zakharyaschev <imz@altlinux.org>
Date: Tue, 3 Jul 2018 12:02:17 +0300
Subject: [PATCH] use hsh --query-repackage (to simulate a maintainer making a
 new release)

Whenever a maintainer of a package wants to make a new release of the
package (perhaps, to fix a bug), he does repackage the srpm anyway.

So, whether a plain "hsh" fails is not the best indication that the
maintainer won't be able to build a new release of a package (when he
needs to). "hsh --query-repackage" is a better measurement because it
will give less false warnings. And whenever "hsh --query-repackage"
worked susccessfully, the maintainer would succeed, too.

--query-repackage was introduced in hasher-1.0.15-alt1 on May 17 2005.
---
 remote/nectar | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/remote/nectar b/remote/nectar
index 62d0c6e..cd9d5c7 100755
--- a/remote/nectar
+++ b/remote/nectar
@@ -9,7 +9,7 @@ workdir="$TMPDIR/hasher"
 
 rm -rf -- "$workdir/repo"
 
-time hsh -- "$workdir" "$file" </dev/null ||
+time hsh --query-repackage -- "$workdir" "$file" </dev/null ||
 	exit 7
 
 # compare hasher packages and repo packages
-- 
2.10.4

